# AIEventIndustryClose Class Reference

Event Industry Close, indicating an industry is going to be closed. More...

`#include <ai_event_types.hpp>`

Inheritance diagram for AIEventIndustryClose:

## Public Member Functions
| AIEventIndustryClose (IndustryID industry_id)
IndustryID | GetIndustryID ()
| Get the IndustryID of the closing industry.
## Static Public Member Functions
static const char * | GetClassName ()
static AIEventIndustryClose * | Convert (AIEvent *instance)
| Convert an AIEvent to the real instance.
## Private Attributes
IndustryID | industry_id

## Detailed Description

Event Industry Close, indicating an industry is going to be closed.

Definition at line 617 of file ai_event_types.hpp.

## Constructor & Destructor Documentation

AIEventIndustryClose::AIEventIndustryClose | ( | IndustryID | industry_id | ) | `[inline]`

Parameters:

  | industry_id | The new industry.

Definition at line 624 of file ai_event_types.hpp.

## Member Function Documentation

static AIEventIndustryClose* AIEventIndustryClose::Convert | ( | AIEvent * | instance | ) | `[inline, static]`

Convert an AIEvent to the real instance.

Parameters:

  | instance | The instance to convert.

Returns:
  The converted instance.

Definition at line 634 of file ai_event_types.hpp.

IndustryID AIEventIndustryClose::GetIndustryID | ( |  | ) | `[inline]`

Get the IndustryID of the closing industry.

Returns:
  The IndustryID of the industry.

Definition at line 640 of file ai_event_types.hpp.

The documentation for this class was generated from the following file:

- src/ai/api/ai_event_types.hpp